import probe from "probe-image-size";
async function imageMetadata(data) {
  const result = probe.sync(data);
  if (result === null) {
    throw new Error("Failed to probe image size.");
  }
  const { width, height, type, orientation } = result;
  const isPortrait = (orientation || 0) >= 5;
  if (!width || !height || !type) {
    return void 0;
  }
  return {
    width: isPortrait ? height : width,
    height: isPortrait ? width : height,
    format: type,
    orientation
  };
}
export {
  imageMetadata
};
